Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

new natbib version

Romina
2011-11-01
2012-10-17
  • Romina
    Romina
    2011-11-01

    Hi guys,
    I tried to use the \bibliographystyle{apalike} (\usepackage(apalike)) and use
    \citet and \citep, but those only work for natbib. The newer version of natbib
    is apparently not compatible with other styles anymore (see http://www.latex-
    community.org/forum/viewtopic.php?f=50&t=4034)
    and I get the error message
    "!Package natbib Error: Bibliography not compatible with author-year
    citations."
    In my case I can just use \bibliographystyle{plainnat} in combination with
    \usepackage{natbib} because the restrictions for citations from my supervisor
    are not very exact. I would like to know, though, why natbib has been updated
    2009 and made incompatible with other styles?
    Thanks!